# [BETA] List VPCs

```http
GET /compute/v1/tenants/{tenantId}/vpc
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListVPCs`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:vpcs`

Returns a paginated list of VPCs for a tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

### Query parameters

- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `cidr` (string)
    - `createdAt` (string)
    - `id` (string)
    - `name` (string)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
